LINUX.ORG.RU

Komodo 3.0.1


0

0

Тихо и незаметно вышел очередной релиз кроссплатформенной IDE для динамических языков Komodo, основанной на mozilla 1.6. Komodo поддерживает языки Perl, PHP, Python, Tcl и XSLT, работает под Linux, Solaris и Windows, интегрируется с CVS и другими системами контроля версий, имеет специальные средства для отладки web-приложений, CGI, XML и XSLT.

>>> Подробности

anonymous

Проверено: Demetrio ()

Ответ на: Re: Komodo 3.0.1 от Lexa

Re: Re: Komodo 3.0.1

ну инфраструктуру из мурзилки использует видимо, виджеты и т.д., мурзильщики же свой браузер платформой считают..

anonymous ()
Ответ на: Re: Komodo 3.0.1 от sabonez

Re: Re: Komodo 3.0.1

Да, и прикиньте -- покупают :)

AP ★★★★★ ()
Ответ на: Re: Komodo 3.0.1 от sabonez

Re: Re: Komodo 3.0.1

>А они ету хренатень что, за бабки продают???

ага :)

еще у него просто ужасающее время загрузки. 70 сек. или около того.

p.s. работал у нас один девелопер. любитель komodo. 2 недели :) когда ему открыли глаза на vim, он слегка охренел. типа "нифига себе, а он и 2 файла одновременно редактировать может" :)

AlexGor ()
Ответ на: Re: Re: Komodo 3.0.1 от AlexGor

Re: Re: Re: Komodo 3.0.1

>>>ага :)

еще у него просто ужасающее время загрузки. 70 сек. или около того.
p.s. работал у нас один девелопер. любитель komodo. 2 недели :)
когда ему открыли глаза на vim, он слегка охренел. типа "нифига себе,
а он и 2 файла одновременно редактировать может" :)
<<<<<<<<<

ты его когда последний раз пробовал то ? 0.1pre версию поди юзал??
3.0.1 -весчь ! причем реально хорошая ВЕСЧЬ. причем это именно IDE,
а не просто редактор а-ля vim, потому и грузится подольше.
причем ну никак не 70 секунд - максимум 10, первый запуск.

XuMiX ()

Re: Komodo 3.0.1

Гы ;) Сколько веркий Комоды не перепробовал, русский оно так и не поддерживает ...

anonymous ()
Ответ на: Re: Re: Komodo 3.0.1 от zenkov

Re: Re: Re: Komodo 3.0.1

хз, замечательно с русским общаюсь в ней, кодировку выставил на весь
проект нужную - и все пучком

XuMiX ()

Re: Komodo 3.0.1

чего люди не выдумают чтобы emacs не изучать..

anonymous ()
Ответ на: Re: Re: Komodo 3.0.1 от AlexGor

Re: Re: Re: Komodo 3.0.1

Да ладно... 70 секунд. КОгда это было и в какой версии? :) 0.1 на первом пентиуме? :)

AP ★★★★★ ()

Re: Komodo 3.0.1

Глюкавым оно было еще год назад. А теперь даже демку качать ломает. Да и под ПеХеПе оно. Нах нах нах.

eXOR ★★★★★ ()
Ответ на: Re: Komodo 3.0.1 от eXOR

Re: Re: Komodo 3.0.1

> Да и под ПеХеПе оно.

угу. разработчик занимаецца перлом, питоном и тцл, а ide под пых. крута, да? ;)

Sergio ()
Ответ на: Re: Komodo 3.0.1 от eXOR

Re: Re: Komodo 3.0.1

Отличная меж прочим весч! Это настоящий универсальный ИДЕ, а не какойнить пхп редактор аля нотпад.

SunSunich ()
Ответ на: Re: Re: Komodo 3.0.1 от AlexGor

Re:

> еще у него просто ужасающее время загрузки. 70 сек. или около того.

> p.s. работал у нас один девелопер. любитель komodo. 2 недели :) когда ему открыли глаза на vim, он слегка охренел. типа "нифига себе, а он и 2 файла одновременно редактировать может" :)

:-) Байки из склепа :-). Вероятнее всего, склепа, где покоится Komodo двух- трехлетней давности. Тогда да, и тормоза были, и недоделанности.

3-ку Komodo я глядел на винде - нормальная, в смысле, приемлемая IDE, не хуже, но, наверное, и не лучше (я сильно ее не вертел) многих. Работает. Тормозит вполне в пределах статистической погрешности.

AlexM ★★★★★ ()

Re: Komodo 3.0.1

А есть там, например, возможность поставить курсор на какой-нибудь вызов метода/функции и попросить открыть определение этого метода? Особенно если это определение находится в другом файле?

После того как попрограммил на жабе с использованием Eclipse, мне стало сильно нехватать в emacs'е этих возможностей...

alt-x ★★★★★ ()
Ответ на: Re: Komodo 3.0.1 от alt-x

Re: Re: Komodo 3.0.1

> После того как попрограммил на жабе с использованием Eclipse, мне стало сильно нехватать в emacs'е этих возможностей...

в емаксе для этих целей etags используйте

ananas ★★★★★ ()
Ответ на: Re: Re: Re: Komodo 3.0.1 от anonymous

Re: Re: Re: Re: Komodo 3.0.1

>не поможет У тебя просто ядро неправильное. Надо ставить ядро из дистрибутива емакса, с поддержкой всего.

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.